Help me unable to run my Android mobile

=============== ROOT CAUSE =====================

Caused by: org.openqa.selenium.SessionNotCreatedException: Unable to create a new remote session. Please check the server log for more details. Original error: An unknown server-side error occurred while processing the command. Original error: Error executing adbExec.
Command output: adb: failed to install /Users/.appium/node_modules/appium-uiautomator2-driver/node_modules/appium-uiautomator2-server/apks/appium-uiautomator2-server-debug-androidTest.apk: Failure [INSTALL_FAILED_UPDATE_INCOMPATIBLE: Existing package io.appium.uiautomator2.server.test signatures do not match newer version; ignoring!]

1 Like

Hi there,

Thank you very much for your topic. Please note that it may take a little while before a member of our community or from Katalon team responds to you.

Thanks!

Hi @jajaaatest, :wave:

Welcome to our forum!

Did you know, that we are currently running our quarterly Ask Katalon Anything (AKA) activity on the forum? From now till 2024-06-19T16:59:00Z, feel free to ask our Product Support team any Katalon-related questions about setting up & optimize Katalon for your projects, alongside best practices for Web/Mobile/API Testing.

Join AKA by visiting the thread below (simply copy and paste your question in the thread) :point_down:

Hi @jajaaatest ,
On your Android device, could you please uninstall the below applications from Settings > Apps:

  1. Appium settings
  2. uiautomator2.server.test
  3. uiautomator2.server

After that, try running the below command on your terminal/CMD when the device is connected to your machine:
appium driver run uiautomator2 reset

Thanks